# Use root/example as user/password credentials
version: '3.1'

services:

  mongo:
    container_name: mongodb
    image: mongo
    ports:
      - 27017:27017
    volumes:
      - ./mongo-data:/data/db
    healthcheck:
      test: [ "CMD", "curl", "-f", "http://localhost:27017" ]
      interval: 30s
      timeout: 10s
      retries: 5
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: example

  mongo-express:
    image: mongo-express
    restart: always
    ports:
      - 8081:8081
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: root
      ME_CONFIG_MONGODB_ADMINPASSWORD: example
      ME_CONFIG_MONGODB_URL: mongodb://root:example@mongo:27017/

  app:
    image: registry.gitlab.com/anil.konepalli/dow-jones-index-app:1.0
    container_name: index-app
    pull_policy: always
    ports:
      - 8080:8080
    environment:
      - "SPRING_PROFILES_ACTIVE=docker"
    depends_on:
      - mongo
    restart: always

volumes:
  mongo-data: {}

networks:
  default:
    name: app_network